Subject: Re: [PATCH] powerpc/40x: Fix assembler warning about r0

From: Michael Ellerman <[email-masked]>
Date: Thu, 06 Aug 2020 22:33:59 +1000

Christophe Leroy <[email-masked]> writes:
> Le 06/08/2020 à 04:18, Michael Ellerman a écrit :
>> Christophe Leroy <[email-masked]> writes:
>>> Le 22/07/2020 à 04:24, Michael Ellerman a écrit :
>>>> The assembler says:
>>>>     arch/powerpc/kernel/head_40x.S:623: Warning: invalid register expression
>>>
>>> I get exactly the same with head_32.S, for the exact same reason.
>> 
>> Ah yep, I see it. I mostly build pmac32_defconfig which doesn't have
>> BDI_SWITCH enabled.
>> 
>> Send a patch? :)
>
> Done.
>
>> 
>> Do we still need the BDI_SWITCH code? Is it likely anyone still has one,
>> that works?
>
> I have three (One for 83xx and two for 8xx) and they work, allthough I'm 
> using them only for Uboot and for very very very early Linux boot 
> debugging (Last time I used it with Linux was when implementing KASAN)

OK, happy to keep the code around if it works and is being used, even
just a little bit.

cheers